--- title: "getSubnetList" slug: "networking-vpc-subnetmanagement-getsubnetlist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-subnetmanagement-getsubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getSubnetList Available in VPC Get the list of subnets based on the conditions the user specifies. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getSubnetList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to query the subnet list - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `subnetNoList.N` | List[String] | Optional | Query the list with the subnet number. - `subnetNo` can be obtained through [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). - Example: subnetNoList.1=1234&subnetNoList.2=2345 | | `subnetName` | String | Optional | Query the list with the subnet name. | | `subnet` | String | Optional | Query the list with the subnet IP address range. - Example: `subnet`=10.0.0.0/24 | | `subnetTypeCode` | String | Optional | Query the list with the subnet type code. - `PUBLIC` \| `PRIVATE` | | `usageTypeCode` | String | Optional | Query the list with the subnet purpose type code. - `GEN`\| `LOADB` \| `BM` \| `NATGW` - `GEN`: general - `LOADB`: dedicated for load balancer - `BM`: dedicated for bare metal - `NATGW`: dedicated for NAT Gateway | | `networkAclNo` | String | Optional | Query the subnet list with the network ACL number applied to the subnet. - `networkAclNo` can be obtained through [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist). | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize`. | | `pageSize` | Integer | Conditional | Size of each page to display when paging - Required when entering `pageNo` - Page the result values using `pageNo` and `pageSize`. | | `subnetStatusCode` | String | Optional | Query the subnet list with the subnet status code. - `INIT` \| `CREATING` \| `RUN` \| `TERMTING` | | `vpcNo` | String | Optional | Query the subnet list with the VPC number. - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `zoneCode` | String | Optional | Query the subnet list with the zone code. - See [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getSubnetList ?regionCode=KR &subnetNoList.1=***43 &subnetName=test-*** &subnet=***.***.1.0 &subnetTypeCode=PUBLIC &usageTypeCode=GEN &networkAclNo=***31 &subnetStatusCode=RUN &vpcNo=***04 &zoneCode=KR-1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [SubnetList](/docs/en/common-vapidatatype-subnetlist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 4a7ca579-1b43-439b-97f7-c423a37bc3d9 0 success 1 ***43 ***04 KR-1 test-*** ***.***.1.0/24 RUN run 2020-05-04T11:49:52+0900 PUBLIC Public GEN General ***31 ```